Issue 119319 - Apache commons-lang needs an update to 2.4
Apache commons-lang needs an update to 2.4
Status: VERIFIED FIXED
Product: Build Tools
Classification: Code
Component: external prerequisites
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 22:21 UTC by Pedro Giffuni
Modified: 2013-07-11 09:22 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Updates to apache-commons (16.95 KB, patch)
2012-05-08 22:21 UTC, Pedro Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Pedro Giffuni 2012-05-08 22:21:40 UTC
Created attachment 77516 [details]
Updates to apache-commons

Some components in Apache commons should be updated
to improve performance and ensure better operation
in modern Java versions. These updates have been
tested on FreeBSD's port as external packages:
- commons-codec version 1.6.
- commons-lang version 2.6.

I tried the attached patch to update them but I am
having problems delivering the commons-lang
component.
Help would be appreciated.

While here I also added a patch to common-httpclient
to avoid building issues with OpenJDK-7.
Comment 1 Pedro Giffuni 2012-05-09 23:22:56 UTC
I found the problem: there was a change in the build process
between commons-lang-2.4 and commons-lang-2.5 which changed
installation. For now I will update to commons-lang-2.4 instead
commons-lang-2.6

Deleting       ext_sources/0b49ede71c21c0599b0cc19b353a6cb3-README_apache-commons.txt
Deleting       ext_sources/2ae988b339daec234019a7066f96733e-commons-lang-2.3-src.tar.gz
Adding  (bin)  ext_sources/2e482c7567908d334785ce7d69ddfff7-commons-codec-1.6-src.tar.gz
Adding  (bin)  ext_sources/625ff5f2f968dd908bca43c9469d6e6b-commons-lang-2.4-src.tar.gz
Deleting       ext_sources/af3c3acf618de6108d65fcdc92b492e1-commons-codec-1.3-src.tar.gz
Sending        main/apache-commons/java/codec/makefile.mk
Sending        main/apache-commons/java/httpclient/makefile.mk
Sending        main/apache-commons/java/lang/makefile.mk
Sending        main/apache-commons/patches/codec.patch
Adding         main/apache-commons/patches/httpclient.patch
Sending        main/apache-commons/prj/d.lst
Sending        main/ooo.lst
Sending        main/swext/mediawiki/build.xml
Sending        main/swext/mediawiki/makefile.mk
Transmitting file data ...........
Committed revision 1336449.
Comment 2 hdu@apache.org 2013-07-11 09:22:34 UTC
Updated target to release that will contain the fix.